# tds_connection Struct Reference

List of all members.

## Public Attributes

DSTR | app_name
int | block_size
unsigned int | broken_dates:1
unsigned int | bulk_copy:1
unsigned char | capabilities [TDS_MAX_CAPABILITY]
DSTR | client_charset
DSTR | client_host_name
TDS_INT | connect_timeout
DSTR | database
int | debug_flags
DSTR | dump_file
unsigned int | emul_little_endian:1
TDS_TINYINT | encryption_level
unsigned int | gssapi_use_delegation:1
DSTR | instance_name
DSTR | ip_addr
| ip of server
DSTR | language
DSTR | library
unsigned char | option_flag2
DSTR | password
| password of account login
int | port
| port of database service
TDS_INT | query_timeout
DSTR | server_charset
| charset of server
DSTR | server_host_name
DSTR | server_name
| server name (in freetds.conf)
DSTR | server_realm_name
| server realm name (in freetds.conf)
unsigned int | suppress_language:1
TDS_USMALLINT | tds_version
int | text_size
unsigned int | use_ntlmv2:1
DSTR | user_name
| account for login

The documentation for this struct was generated from the following file:

- /home/jklowden/releases/freetds-0.91/include/tds.h

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines